Name:		x11-driver-video-ark
Version:	0.7.5
Release:	%mkrel 24
Summary:	X.org driver for ARK Logic graphics chipsets
Group:		System/X11
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/driver/xf86-video-ark-%{version}.tar.bz2
# https://projects.archlinux.org/svntogit/packages.git/tree/trunk/build-fix.diff?h=packages/xf86-video-ark&id=271e0dd18cc14c5e432081ef7c78115db53020b5
Patch0:		xf86-video-ark-0.7.5-fix-build.patch
License:	MIT
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	pkgconfig(xorg-server) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-ark is the X.org driver for ARK Logic graphics chipsets.

%prep
%setup -q -n xf86-video-ark-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/ark_drv.so


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.7.5-24.mga9
+ Revision: 1837985
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 0.7.5-23.mga9
+ Revision: 1751700
- Rebuild for X.org 21.1

* Fri Feb 14 2020 umeabot <umeabot> 0.7.5-22.mga8
+ Revision: 1518476
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.5-21.mga7
+ Revision: 1301748
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 0.7.5-20.mga7
+ Revision: 1238587
- fix build on aarch64
- drop .la files
- use new make macros

* Fri Mar 09 2018 tv <tv> 0.7.5-19.mga7
+ Revision: 1207704
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 0.7.5-18.mga6
+ Revision: 1067776
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.7.5-17.mga6
+ Revision: 1043230
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 0.7.5-16.mga6
+ Revision: 963364
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 0.7.5-15.mga6
+ Revision: 902287
- submit to core/release

* Wed Nov 11 2015 tv <tv> 0.7.5-14.mga6
+ Revision: 902047
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 0.7.5-13.mga6
+ Revision: 836003
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 0.7.5-12.mga5
+ Revision: 739826
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.5-11.mga5
+ Revision: 690420
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.7.5-10.mga5
+ Revision: 635007
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.7.5-9.mga5
+ Revision: 633663
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.7.5-8.mga5
+ Revision: 614354
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.7.5-7.mga5
+ Revision: 582305
- rebuild for new xserver

* Fri Dec 06 2013 tmb <tmb> 0.7.5-6.mga4
+ Revision: 555594
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 0.7.5-5.mga4
+ Revision: 534772
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 sander85 <sander85> 0.7.5-4.mga4
+ Revision: 478779
- Fix build (patch from Arch Linux)
+ tv <tv>
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 0.7.5-3.mga3
+ Revision: 385973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 0.7.5-2.mga3
+ Revision: 288952
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 0.7.5-1.mga3
+ Revision: 273819
- new release

* Wed Jun 06 2012 tmb <tmb> 0.7.4-4.mga3
+ Revision: 256378
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.7.4-3.mga3
+ Revision: 253002
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.7.4-2.mga3
+ Revision: 249947
- rebuild for new X.org server

* Sun Jan 29 2012 tv <tv> 0.7.4-1.mga2
+ Revision: 203078
- new release

* Tue Dec 06 2011 tmb <tmb> 0.7.3-6.mga2
+ Revision: 177549
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.7.3-5.mga2
+ Revision: 153110
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.7.3-4.mga1
+ Revision: 64387
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.7.3-3.mga1
+ Revision: 50183
- imported package x11-driver-video-ark


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.7.3-3mdv2011.0
+ Revision: 595740
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.7.3-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Jul 26 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.7.3-1mdv2011.0
+ Revision: 560862
- New version: 0.7.3

* Mon Sep 07 2009 Thierry Vignaud <tv@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 432151
- new release

* Tue Aug 11 2009 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2010.0
+ Revision: 414540
- use configure2_5x

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.1-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Tue Dec 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 0.7.1-1mdv2009.1
+ Revision: 317837
- New version 0.7.1

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.0-3mdv2009.1
+ Revision: 308212
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.7.0-2mdv2009.0
+ Revision: 265901
- rebuild early 2009.0 package (before pixel changes)
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.7.0-1mdv2009.0
+ Revision: 194216
- Update to version 0.7.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.6.0-7mdv2008.1
+ Revision: 165478
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.6.0-6mdv2008.1
+ Revision: 156597
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.6.0-5mdv2008.1
+ Revision: 154932
- Don't need to check for dri headers and run time
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-video-ark-0.6.0@mandriva suggested on upstream
  Tag at git checkout f09baa348b5d1a499f23e553c67bc0674c7c6512
  Note that there is a tag named ark-0_6_0, but the local tag matches
  a more wider naming pattern among other repositories and includes harmless
  updates (addition of .gitignore, .cvsignore and change to use macros instead
  of static values to specifiy package version)
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.6.0-4mdv2008.1
+ Revision: 98684
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-3mdv2008.0
+ Revision: 75721
- rebuild


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

